Copyright: Copyright ©1995 Global Majic Software, Inc.
Citation: Copyright ©1995 Global Majic Software, Inc.


Contents

Global Majic Software, Inc.

Instrumentation Custom Control Library

Selector Control

Properties	Events	Product Support	Copyright

Description:

This control is a highly customizable selector switch.  Properties are provided to modify the knob and mark styles, selections, line, offsets, captions, border and background.  The mouse may optionally be used to change selector settings.

Selections:

Each switch may have several possible selections.  The caption, color, alignment, and offset of each selection is controlled by the user.  Additionally, there are automatic features that define the control with minimal work required.

Lines and Offsets:

The control's lines are controlled by the user.  Properties are available to change line's inner radius and thickness as well as whether or not lines are visible.  Offsets, on the other hand, may be controlled by either the contol or the user.  The length and angle of each offset can be set.

Knob:

There are several styles of knobs that may be used in the selector switch control.  Properties are provided to modify the knob's style, inner-outer radii, width, and color.  Additionally, user defined shapes may be specified.

Mark:

Each knob may be adorned with a single mark.  Properties are provided to modify the mark's style, inner-outer radii, width, and color.  Additionally, user defined mark shapes may be incorporated into the control.

Captions:

The control can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.  These captions are in no way related to the captions defined for each selection.


Properties
Properties:

AutoAlign	FrameScaleX	MouseControl
AutoAngle	FrameScaleY	MousePointer
AutoOffset	FrameStyle	Name
AutoOffsetDistance	Height	OutlineAlign
AutoOffsetStyle	Highlight	OutlineColor
AutoRadius	HighlightColor	OutlineTitle
AutoStartAngle	Index	OutlineWidth
AutoStopAngle	KnobColor	SelectionAlign
BackgroundColor	KnobOriginX	SelectionAngle
BackgroundPicture	KnobOriginY	SelectionCaption
BevelInner	KnobRadius	SelectionColor
BevelOuter	KnobStyle	SelectionID
BevelWidth	KnobUserDefined	SelectionOffsetX
BorderType	Left	SelectionOffsetY
BorderWidth	LineDisplay	SelectionRadius
Caption	LineInnerRadius	Selections
CaptionColor	LineThickness	TabIndex
CaptionID	MarkColor	TabStop
Captions	MarkInnerRadius	Tag
CaptionX	MarkOuterRadius	Top
CaptionY	MarkStyle	Value
Enabled	MarkUserDefined	Visible
FrameColor	MarkWidth	Width
FramePicture


Events
Events:

Change

Click

MouseDown

MouseMove

MouseUp


PRODUCT SUPPORT

Product support for Instrumentation Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


FramePicture
FramePicture Property

Description

Determines the graphic to be displayed in the frame surrounding the control face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Remarks

This property only applies when FrameStyle is set.

Related Properties

FrameColor, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Integer.


Unitless Scale

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control instead of twips or pixels.  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height are measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control however the units scale used is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.


BackgroundColor
BackgroundColor Property

Description

Determines the background color of the control.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


BackgroundPicture
BackgroundPicture Property

Description

Determines the graphic to be displayed in the background of the control..

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Data Type

Integer.


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderType
BorderType Property

Description

Sets or returns the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using BevelInner, BevelOuter, BevelWidth, and BorderWidth properties.

2 (Outline)	Frame style border is displayed using OutlineAlign, OutlineColor, OutlineTitle, and OutlineWidth properties.

Data Type

Integer (Enumerated)


OutlineAlign
OutlineAlign Property

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting 	Description

0 	Left

1 	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle, and OutlineWidth.

Data Type

Integer (Enumerated)


OutlineColor
OutlineColor Property

Description

Determines the color of the outline frame and OutlineTitle surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle, and OutlineWidth.

Data Type

Long.


OutlineTitle
OutlineTitle Property

Description

Determines the text displayed as the title in the outline frame surrounding the control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = string expression ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineWidth.

Data Type

String


OutlineWidth
OutlineWidth Property

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineTitle.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


Caption
Caption Property

Description

Determines the text displayed for the caption currently selected by CaptionID.  The number of captions displayed on the control is set by the Captions property.

Usage

[form.]control.Caption[ = string expression ]

Related Properties

CaptionColor, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

String


CaptionColor
CaptionColor Property

Description

Determines the caption color of the current caption selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

Caption, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

Long.


CaptionID
CaptionID Property

Description

Determines the ID of the currently selected caption.  This property must be set before caption properties are entered.  The total number of captions is determined by the Captions property, and the CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.

Related Properties

Caption, CaptionColor, Captions, CaptionX, and CaptionY.

Data Type

Integer.


Captions
Captions Property

Description

Determines the number of captions displayed on the control.  This property must be set before caption properties are entered.  The CaptionID is used to select the current caption for which caption properties are applied.

Usage

[form.]control.Captions[ = integer ]

Related Properties

Caption, CaptionColor, CaptionID, CaptionX, and CaptionY.

Data Type

Integer


CaptionX
CaptionX Property

Description

Determines the horizontal position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionY.

Data Type

Single


CaptionY
CaptionY Property

Description

Determines the vertical position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionY[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionX.

Data Type

Single


FrameColor
FrameColor Property

Description

Determines the frame color surrounding the control face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using the RGB or QBColor functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Long.


FrameScaleX
FrameScaleX Property

Description

Determines the horizontal size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, this property is used to define the radius of the opening inside the frame surrounding the control.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleY, and FrameStyle.

Data Type

Single


FrameScaleY
FrameScaleY Property

Description

Determines the vertical size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, this property does not apply.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameStyle.

Data Type

Single


FrameStyle
FrameStyle Property

Description

Sets or returns the style of the frame surrounding the control.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (None)	A frame is not displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameScaleY.

Data Type

Integer (Enumerated)


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


LineThickness
LineThickness Property

Description

Determines the thickness of the line(s) on the selector control.  This property is measured in pixels.

Usage

[form.]control.TicWidth[ = integer ]

Data Type

Integer


Highlight
Highlight Property

Description

Determines whether the a selection's original color is altered to HighlightColor when it is selected.

Usage

[form.]control.Highlight[ = {TRUE|FALSE} ]

Remarks

This property is applicable in both manual and automatic mode.

Related Properties

HighlightColor

Data Type

Integer (boolean)


AutoOffsetStyle
AutoOffsetStyle Property

Description

Sets the type of offset for all selections.

Usage

[form.]control.AutoOffsetStyle[ = integer ]

Setting

The AutoOffsetStyle property settings are:

Setting 	Description

0 	Circular - no offset (AutoOffsetDistance ignored)

1 	Horizontal

2 	Vertical

Related Properties

AutoAlign, AutoAngle, AutoOffset, AutoOffsetDistance, AutoRadius, AutoStartAngle and AutoStopAngle

Data Type

Integer (Enumerated)


AutoOffsetDistance
AutoOffsetDistance Property

Description

Determines the length of the offset (from the selector's center) when AutoOffsetStyle is not zero.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.  If the AutoOffsetStyle=0 then this property has no effect on the control.  If AutoOffsetStyle is not zero, however, than a line is drawn either horizontally or vertically using the appropriate distance.

Usage

[form.]control.AutoOffsetDistance[ = single ]

Remarks

This property is ignored if AutoOffset=FALSE.

Related Properties

AutoAlign, AutoAngle, AutoOffset, AutoOffsetStyle, AutoRadius, AutoStartAngle and AutoStopAngle

Data Type

Single


AutoOffset
AutoOffset Property

Description

Determines whether the selection caption offset is controlled by the user or the control itself.  If AutoOffset=TRUE then the control will use the AutoOffsetStyle and AutoOffsetDistance properties to draw the control.  If, however, AutoOffset=FALSE, the user must enter the desired offsets for each individual selection using the SelectionOffsetX and SelectionOffsetY properties.

Usage

[form.]control.AutoOffset[ = {TRUE|FALSE} ]

Remarks

For switches with a large number of selections, it may be advantageous to set AutoOffset=TRUE.

Related Properties

AutoAlign, AutoAngle, AutoOffsetDistance, AutoOffsetStyle, AutoRadius, AutoStartAngle and AutoStopAngle

Data Type

Integer (boolean)


SelectionCaption
SelectionCaption Property

Description

Determines the text displayed for the selection designated by SelectionID.  The number of selections displayed on the control is set by the Selections property.

Usage

[form.]control.SelectionCaption[ = string expression ]

Related Properties

SelectionAlign, SelectionAngle, SelectionColor, SelectionID, SelectionOffsetX, SelectionOffsetY, SelectionRadius and Selections

Data Type

String


LineInnerRadius
LineInnerRadius Property

Description

Determines the inner radius of the lines to each selection.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.LineInnerRadius[ = single ]

Remarks

The inner radius should be greater than zero.

Data Type

Single


AutoAngle
AutoAngle Property

Description

Determines whether the selection angles are controlled by the user or the control itself.  If AutoAngle=TRUE then the control will evenly space the selected number of Selections between the angular extremes of the control as defined by the AutoStartAngle and AutoStopAngle.  If, however, AutoAngle=FALSE, the user must enter the desired angle for each individual selection using the SelectionID and SelectionAngle properties.

Usage

[form.]control.AutoAngle[ = {TRUE|FALSE} ]

Remarks

For switches with a large number of selections, it may be advantageous to set AutoAngle=TRUE.

Related Properties

AutoAlign, AutoOffset, AutoOffsetDistance, AutoOffsetStyle, AutoRadius, AutoStartAngle and AutoStopAngle

Data Type

Integer (boolean)


SelectionRadius
SelectionRadius Property

Description

Determines the radius (from the center of the selector) at which the labels are displayed for the current selection.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.  Additionally, the SelectionOffsetX and SelectionOffsetY properties (if AutoOffset=FALSE) may be used to modify the label location in order to increase readability or for purely cosmetic reasons.

Usage

[form.]control.SelectionRadius[ = single ]

Remarks

The value of this property should be greater than zero.

Related Properties

SelectionAlign, SelectionAngle, SelectionCaption, SelectionColor, SelectionID, SelectionOffsetX, SelectionOffsetY and Selections

Data Type

Single


LineDisplay
LineDisplay Property

Description

Determines whether the lines to each selection are shown.

Usage

[form.]control.LineDisplay[ = {TRUE|FALSE} ]

Remarks

This property is applicable in both manual and automatic modes.

Related Properties

LineInnerRadius and LineThickness

Data Type

Integer (boolean)


SelectionID
SelectionID Property

Description

Determines the ID of the selection.  This property must be set before other selection properties are entered.  The total number of selections is determined by the Selections property, and the SelectionID has valid values from 0 to Selections-1.

Usage

[form.]control.SelectionID[ = integer ]

Remarks

The number of selections (Selections) must be set before this property can be set.

Related Properties

SelectionAlign, SelectionAngle, SelectionCaption, SelectionColor, SelectionOffsetX, SelectionOffsetY, SelectionRadius and Selections

Data Type

Integer


SelectionAngle
SelectionAngle Property

Description

Determines the angle (zero up, positive clockwise) of the selection currently selected by SelectionID.  If AutoAngle=TRUE, this property is ignored.

Usage

[form.]control.SelectionAngle[ = single ]

Remarks

Negative angles and angles greater than 360 or less than 0 degrees are automatically corrected.

Related Properties

SelectionAlign, SelectionCaption, SelectionColor, SelectionID, SelectionOffsetX, SelectionOffsetY, SelectionRadius and Selections

Data Type

Single


SelectionColor
SelectionColor Property

Description

Determines the color of the SelectionCaption (and its associated line) currently selected by SelectionID.

Usage

[form.]control.SelectionColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

SelectionAlign, SelectionAngle, SelectionCaption, SelectionID, SelectionOffsetX, SelectionOffsetY, SelectionRadius and Selections

Data Type

Long.


SelectionOffsetX
SelectionOffsetX Property

SelectionOffsetY Property

Description

Defines an (x,y) pair that is used to determine the length of the offset (when AutoOffset=FALSE) of the current selection defined by SelectionID.  If the LineDisplay=TRUE, then there is an (x,y) pair that is defined by SelectionAngle and SelectionRadius.  This point is shown below as a red dot.  The control uses SelectionOffsetX and SelectionOffsetY to define an additional (x,y) pair relative to the first pair (shown as a blue dot).  These two points define the line that is drawn as the offset.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.SelectionOffsetX[ = single ]

[form.]control.SelectionOffsetY[ = single ]

Remarks

The value of these properties should be greater than zero.

Related Properties

SelectionAlign, SelectionAngle, SelectionCaption, SelectionColor, SelectionID, SelectionRadius and Selections

Data Type

Single


AutoRadius
AutoRadius Property

Description

Determines the radius (from the center of the knob) at which the labels are displayed for the current selection.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.  Additionally, the AutoOffsetDistance (AutoOffset=TRUE) may be used to modify the label location in order to increase readability or for purely cosmetic reasons.

Usage

[form.]control.AutoRadius[ = single ]

Remarks

The value of this property should be greater than zero.

Related Properties

AutoAlign, AutoAngle, AutoOffset, AutoOffsetDistance, AutoOffsetStyle, AutoStartAngle and AutoStopAngle

Data Type

Single


SelectionAlign
SelectionAlign Property

Description

Sets the justification of the selection's caption.

Usage

[form.]control.SelectionAlign[ = integer ]

Setting

The SelectionAlign property settings are:

Setting 	Description

0 	Left Justify

1 	Right Justify

2 	Center

Remarks

This property is ignored if AutoAlign=TRUE.

Related Properties

SelectionAngle, SelectionCaption, SelectionColor, SelectionID, SelectionOffsetX, SelectionOffsetY, SelectionRadius and Selections

Data Type

Integer (Enumerated)


AutoAlign
AutoAlign Property

Description

Determines whether the selection caption alignment is controlled by the user or the control itself.  If AutoAlign=TRUE then the control will automatically right justify all selections on the left of the control, left justify all selections on the right of the control, and center all selections at the top and bottom of the control.  If, however, AutoAlign=FALSE, the user must enter the desired justification for each individual selection using the SelectionAlign property.

Usage

[form.]control.AutoAlign[ = {TRUE|FALSE} ]

Remarks

For switches with a large number of selections, it may be advantageous to set AutoAlign=TRUE.

Related Properties

AutoAngle, AutoOffset, AutoOffsetDistance, AutoOffsetStyle, AutoRadius, AutoStartAngle and AutoStopAngle

Data Type

Integer (boolean)


HighlightColor
HighlightColor Property

Description

Determines the color of the current selections line and caption.

Usage

[form.]control.HighlightColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

Highlight

Data Type

Long.


AutoStartAngle
AutoStartAngle Property

AutoStopAngle Property

Description

Determines the angular extremes of the selector switch.  These properties are ignored when AutoAngle=FALSE.

Usage

[form.]control.AutoStartAngle[ = single ]

[form.]control.AutoStopAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

AutoAlign, AutoAngle, AutoOffset, AutoOffsetDistance, AutoOffsetStyle and AutoRadius

Data Type

Single


KnobOriginX
KnobOriginX Property

KnobOriginY Property

Description

Determines the vertical and horizontal positions of the knob's center.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0, where a value of 0.0 is located in the center of the control..

Usage

[form.]control.KnobOriginX[ = single ]

[form.]control.KnobOriginY[ = single ]

Related Properties

KnobColor, KnobRadius, KnobStyle, KnobUserDefined, and Value

Data Type

Single


KnobColor
KnobColor Property

Description

Determines the knob's color.

Usage

[form.]control.KnobColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

KnobOriginX, KnobOriginY, KnobRadius, KnobStyle, KnobUserDefined, and Value

Data Type

Long


KnobStyle
KnobStyle Property

Description

Sets or returns the style of the knob.

Usage

[form.]control.KnobStyle[ = integer ]

Setting

The KnobStyle property settings are:

Setting 	Description

0 	Circular

1 	Pointer

2	Complex

3	User-defined

Related Properties

KnobColor, KnobOriginX, KnobOriginY, KnobRadius, KnobUserDefined, and Value

Data Type

Integer (Enumerated)


MarkStyle
MarkStyle Property

Description

Sets or returns the style of the knob's mark.

Usage

[form.]control.MarkStyle[ = integer ]

Setting

The MarkStyle property settings are:

Setting 	Description

0 	None

1 	Circular

2 	Triangular

3	Arrow

4	User-defined

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkUserDefined, and MarkWidth

Data Type

Integer (Enumerated)


MarkColor
MarkColor Property

Description

Determines the knob's mark color.

Usage

[form.]control.MarkColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

MarkInnerRadius, MarkOuterRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Long.


MarkInnerRadius
MarkInnerRadius Property

Description

Determines the inner radius of the knob's mark.  The scale of this property is based on the knob's size . For example, an inner radius of 0.0 and an outer radius of 1.0 yields a mark from the knob's center to its outer edge.

Usage

[form.]control.MarkInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

MarkColor, MarkOuterRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Single


MarkWidth
MarkWidth Property

Description

Determines the width of the knob's mark.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.MarkWidth[ = single ]

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle, and MarkUserDefined

Data Type

Single


MarkOuterRadius
MarkOuterRadius Property

Description

Determines the outer radius of the knob's mark.  The scale of this property is based on the knob's size . For example, an inner radius of 0.0 and an outer radius of 1.0 yields a mark from the knob's center to its outer edge.

Usage

[form.]control.MarkOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

MarkColor, MarkInnerRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Single


KnobRadius
KnobRadius Property

Description

Determines the outer radius of the knob.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.KnobRadius[ = single ]

Remarks

The outer radius should be greater than zero.

Related Properties

KnobColor, KnobOriginX, KnobOriginY, KnobStyle, KnobUserDefined, and Value

Data Type

Single


Value
Value Property

Description

Determines which selection to which the control points.  The Value has valid values from 0 to SelectionID-1.

Usage

[form.]control.Value[ = single ]

Related Properties

Selections and SelectionID

Data Type

Integer


KnobUserDefined
KnobUserDefined Property

MarkUserDefined Property

Description

Determines the shape of a user defined knob or mark.  This property only applies when KnobStyle = 3 (for knobs) or when MarkStyle=4 (for marks).  This property defines a polygon made from a list of x,y coordinate pairs (comma delimited).  The shape is defined using a coordinate system in which (0,0) is located at the center of the knob and the "pointer" of the knob (or tip of the mark) is typically defined as (0,1000).

Usage

[form.]control.KnobUserDefined[ = string expression ]

[form.]control.MarkUserDefined[ = string expression ]

Example

Selector1.MarkUserDefined = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750,   -250,0"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

The following image is a screen snap shot of the above shape used in a simple control (knob not shown).

Related Properties

KnobUserDefined:	KnobColor, KnobOriginX, KnobOriginY, KnobRadius, KnobStyle, and Value

MarkUserDefined:	MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle, and MarkWidth

Data Type

String


Selections
Selections Property

Description

Determines the number of selections displayed on the control.  This property must be set before other selection properties are entered.  The SelectionID property is used to choose the selection to which the selection properties apply.

Usage

[form.]control.Selections[ = integer ]

Related Properties

SelectionAlign, SelectionAngle, SelectionCaption, SelectionColor, SelectionID, SelectionOffsetX, SelectionOffsetY and SelectionRadius

Data Type

Integer